WebSocket API

query.accountBalance

Get the trading account balance. No signature required.

Required scope: tradingws:accountBalance:get.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

bodyobjectrequired
idstringrequired
methodstringrequired
paramsobjectrequired
accountNostringrequired

Trading account to fetch the balance for.

clientIdstring | nulloptional

The 6-digit customer identifier at SSI. If the account number is 003C123888, clientId = 123888.

timestampintegerrequired

Response Body

application/json

application/json

Sample Request

wscat -c wss://api.ssi.com.vn/ws/v3/trading -x '{
  "id": "req-0011",
  "method": "query.accountBalance",
  "params": {
    "accountNo": "0901351"
  },
  "timestamp": 1755000010000
}'

Sample Response

{
  "id": "req-0011",
  "method": "query.accountBalance",
  "status": 200,
  "result": {
    "equity": {
      "accountNo": "0901351",
      "accountBalance": "50000000",
      "withdrawable": "45000000"
    },
    "derivative": null
  },
  "rateLimit": {
    "limit": 100,
    "remaining": 94,
    "resetMs": 800
  }
}